ranges::distance_compare_fn Struct Reference
Iterator
Inheritance diagram for ranges::distance_compare_fn:

## Public Member Functions

template<typename Rng >
auto | operator() (Rng &&rng, range_difference_t< Rng > n) const -> int requires range< Rng >
Public Member Functions inherited from ranges::iter_distance_compare_fn
template<typename I , typename S >
constexpr auto | operator() (I first, S last, iter_difference_t< I > n) const -> int requires input_iterator< I > &&sentinel_for< S, I >